Package com.ngrok.definitions

# Class EndpointOAuthGoogle

java.lang.Object
com.ngrok.definitions.EndpointOAuthGoogle

public class EndpointOAuthGoogle extends Object
A class encapsulating the `EndpointOAuthGoogle` resource.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `EndpointOAuthGoogle.Builder`
  Builder class for `EndpointOAuthGoogle`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Optional<String>`
  `getClientId()`
  the OAuth app client ID.
  `Optional<String>`
  `getClientSecret()`
  the OAuth app client secret.
  `List<String>`
  `getEmailAddresses()`
  a list of email addresses of users authenticated by identity provider who are allowed access to the endpoint
  `List<String>`
  `getEmailDomains()`
  a list of email domains of users authenticated by identity provider who are allowed access to the endpoint
  `List<String>`
  `getScopes()`
  a list of provider-specific OAuth scopes with the permissions your OAuth app would like to ask for.
  `int`
  `hashCode()`
  `static EndpointOAuthGoogle.Builder`
  `newBuilder()`
  Creates a new builder for the `EndpointOAuthGoogle` type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### newBuilder

    public static EndpointOAuthGoogle.Builder newBuilder()
    Creates a new builder for the `EndpointOAuthGoogle` type.
    Returns:
      a new `EndpointOAuthGoogle.Builder`

  - ### getClientId

    public Optional<String> getClientId()
    the OAuth app client ID. retrieve it from the identity provider's dashboard where you created your own OAuth app. optional. if unspecified, ngrok will use its own managed oauth application which has additional restrictions. see the OAuth module docs for more details. if present, client_secret must be present as well.
    Returns:
      the value of the property as a `String` wrapped in an `Optional`

  - ### getClientSecret

    public Optional<String> getClientSecret()
    the OAuth app client secret. retrieve if from the identity provider's dashboard where you created your own OAuth app. optional, see all of the caveats in the docs for `client_id`.
    Returns:
      the value of the property as a `String` wrapped in an `Optional`

  - ### getScopes

    public List<String> getScopes()
    a list of provider-specific OAuth scopes with the permissions your OAuth app would like to ask for. these may not be set if you are using the ngrok-managed oauth app (i.e. you must pass both `client_id` and `client_secret` to set scopes)
    Returns:
      the value of the property as a `List` of `String`

  - ### getEmailAddresses

    public List<String> getEmailAddresses()
    a list of email addresses of users authenticated by identity provider who are allowed access to the endpoint
    Returns:
      the value of the property as a `List` of `String`

  - ### getEmailDomains

    public List<String> getEmailDomains()
    a list of email domains of users authenticated by identity provider who are allowed access to the endpoint
    Returns:
      the value of the property as a `List` of `String`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`